from visual import *

from random import *

size = 40
N = 23

positionx = list()
positiony = list()

for x in xrange(N):
    U = random()
    V = random()

    positionx.append(size*U)
    positiony.append(size*V)

nodes = list()

for x in xrange(N):
    nodes.append(sphere(pos=(positionx[x]-size/2.0,positiony[x]-size/2.0,0.0), radius=1.0, color=color.red))


adjacencymatrix = [None]*N
for n in xrange(N):
    adjacencymarix[n]=[None]*N

print(adjacencymatrix)
